Groovy 1.7.10

## groovy.grape
[Java] Interface GrapeEngine

    public interface GrapeEngine

User: Danno.Ferrin Date: Sep 30, 2008 Time: 9:30:46 PM

Method Summary
`void` | `addResolver(Map args)`
`Map` | `enumerateGrapes()`
`Object` | `grab(String endorsedModule)`
`Object` | `grab(Map args)`
`Object` | `grab(Map args, Map dependencies)`
`Map[]` | `listDependencies(ClassLoader classLoader)`
`URI[]` | `resolve(Map args, Map dependencies)`
`URI[]` | `resolve(Map args, List depsInfo, Map dependencies)`

Method Detail

### addResolver

    public void addResolver(Map args)

### enumerateGrapes

    public Map enumerateGrapes()

### grab

    public Object grab(String endorsedModule)

### grab

    public Object grab(Map args)

### grab

    public Object grab(Map args, Map dependencies)

### listDependencies

    public Map[] listDependencies(ClassLoader classLoader)

### resolve

    public URI[] resolve(Map args, Map dependencies)

### resolve

    public URI[] resolve(Map args, List depsInfo, Map dependencies)

Copyright © 2003-2010 The Codehaus. All rights reserved.